explain_lseek_or_die(3)

NAME
explain_lseek_or_die - reposition file offset and report errors
    "reposition file offset and report errors"

SYNOPSIS
#include <libexplain/lseek.h>

long long explain_lseek_or_die(int fildes, long long offset, int whence);

DESCRIPTION
The explain_lseek_or_die function is used to call the lseek(2) system call. On failure an explanation will be printed to stderr, obtained from explain_lseek(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    long long result = explain_lseek_or_die(fildes, offset, whence);

fildes
    The fildes, exactly as to be passed to the lseek(2) system call.

offset
    The offset, exactly as to be passed to the lseek(2) system call.

whence
    The whence, exactly as to be passed to the lseek(2) system call.

Returns:
    On successful, returns the resulting offset location as measured in bytes from the beginning of the file. On failure, prints an explanation and exits.

SEE ALSO

lseek(2)
    reposition file offset

explain_lseek(3)
    explain lseek(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2008 Peter Miller